groovy.transform.builder

## Class InitializerStrategy.SET

- java.lang.Object
- - groovy.transform.builder.InitializerStrategy.SET

- Enclosing class:
    InitializerStrategy

      public abstract static class InitializerStrategy.SET
      extends Object

  Internal phantom type used by the `InitializerStrategy` to indicate that a property has been set. It is used in conjunction with the generated parameterized type helper class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InitializerStrategy.SET()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InitializerStrategy.SET

          public InitializerStrategy.SET()